﻿<UserControl x:Class="TouchAndTeachWindows.Menu.AvailableDrawsElement"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:localMenu="clr-namespace:TouchAndTeachWindows.Menu"
             mc:Ignorable="d" 
             MouseLeftButtonUp="UserControl_MouseLeftButtonUp" TouchUp="UserControl_TouchUp" TouchDown="UserControl_TouchDown">

    <Border x:Name="AvailableDrawsElementBorder" BorderThickness="1" BorderBrush="#FFA7C0C5" Width="150" Height="100">
        <Grid>
            <Grid.Resources>
                <!-- TODO: check why style not applied -->
                <Style x:Key="ButtonStyle" TargetType="localMenu:MenuButton">
                    <Setter Property="VerticalAlignment" Value="Bottom" />
                    <Setter Property="HorizontalAlignment" Value="Center" />
                    <Setter Property="Width" Value="50" />
                    <Setter Property="Height" Value="50" />
                    <Setter Property="Background" Value="Aquamarine"></Setter>
                </Style>
            </Grid.Resources>
            <Grid.RowDefinitions>
                <RowDefinition Height="7*" />
                <RowDefinition Height="7*" />
            </Grid.RowDefinitions>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="*" />
                <ColumnDefinition Width="*" />
                <ColumnDefinition Width="*" />
            </Grid.ColumnDefinitions>
            <TextBlock x:Name="drawName" Grid.Row="0" Grid.Column="0" Grid.ColumnSpan="3" Grid.RowSpan="2" Text="{Binding drawName}" HorizontalAlignment="Center" TextWrapping="Wrap" FontSize="18"/>
            <localMenu:MenuButton x:Name="Accept" Grid.Row="2" Grid.Column="0" Style="{StaticResource ButtonStyle}" Source="/TouchAndTeachWindows;component/ImgRes/ok_icon.png" Pressed="Accept_Pressed"/>
            <localMenu:MenuButton x:Name="Rename" Grid.Row="2" Grid.Column="1" Style="{StaticResource ButtonStyle}" Source="/TouchAndTeachWindows;component/ImgRes/crayon_icon.png" Pressed="Rename_Pressed"/>
            <localMenu:MenuButton x:Name="Dismiss" Grid.Row="2" Grid.Column="2" Style="{StaticResource ButtonStyle}" Source="/TouchAndTeachWindows;component/ImgRes/redcross_icon.png" Pressed="Dismiss_Pressed" Loaded="Dismiss_Loaded"/>
        </Grid>
    </Border>
</UserControl>
